//+------------------------------------------------------------------+
//|                                                        Testw.mq4 |
//|                        Copyright 2021, MetaQuotes Software Corp. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2021, MetaQuotes Software Corp."
#property link      "https://www.mql5.com"
#property version   "1.00"
#property strict



string symlist[28]             = {"AUDCAD", "AUDCHF", "AUDJPY", "AUDNZD", "AUDUSD", "CADCHF","CADJPY", "CHFJPY", "EURAUD", "EURCAD", "EURCHF", "EURGBP", "EURJPY", "EURNZD",
                                  "EURUSD", "GBPAUD", "GBPCAD","GBPCHF",  "GBPJPY", "GBPNZD", "GBPUSD", "USDZAR", "NZDJPY", "NZDUSD", "USDCAD", "USDCHF","USDJPY","USA30"};
                                  
                                 
extern int horizontal                  =  50;
extern int vertical                    =  50;

         string symbol;
         int    count,bars;                                   


//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
//---
    count = ArraySize(symlist);   
   
//---

         int i;
         
         if(bars !=Bars)
           {
            ObjectsDeleteAll();
            
            
            for( i=0;i<count;i++)
              {
               
               
               symbol = symlist[i];
               
                       
               
               
               
               
               button(symbol + i, symbol, 60, 18, 10, vertical + (i*22), Blue, White);
               
               button("Level"  +symbol,  "Level", 80, 18, 80, vertical +(i*22), Lime,Black);
               
               button("Sell"  +symbol,  "Level", 80, 18,170 , vertical +(i*22), Red,Black);
               
               button("PF"  +symbol,  "PF", 80, 18,260 , vertical +(i*22), White,Black);
             
               
           
              }
          
              
        
           }
            



   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
  
         ObjectsDeleteAll();
   
  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
//---
   
  }
//+------------------------------------------------------------------+
//| ChartEvent function                                              |
//+------------------------------------------------------------------+
void OnChartEvent(const int id,
                  const long &lparam,
                  const double &dparam,
                  const string &sparam)
  {

   
  }
  
 
  
//+------------------------------------------------------------------
//|                                                                 |
//+------------------------------------------------------------------


//+------------------------------------------------------------------+
void button(string but_name, string label, int xsize, int ysize, int xdist, int ydist, int bcolor, int fcolor)
{

            if(ObjectFind(0, but_name)<0)
              {
               
               if(!ObjectCreate(0, but_name, OBJ_BUTTON, 0, 0, 0))
                 {
                  Print(__FUNCTION__,
                        ": failed to create the button! Error code = ", GetLastError());
                        return;
                 }
                   
               ObjectSetString(0, but_name,OBJPROP_TEXT, label);
               ObjectSetInteger(0, but_name,OBJPROP_XSIZE, xsize);
               ObjectSetInteger(0, but_name,OBJPROP_YSIZE, ysize);
               ObjectSetInteger(0, but_name,OBJPROP_CORNER, CORNER_LEFT_UPPER);
               ObjectSetInteger(0, but_name,OBJPROP_XDISTANCE, xdist);
               ObjectSetInteger(0, but_name,OBJPROP_YDISTANCE, ydist);
               ObjectSetInteger(0, but_name,OBJPROP_BGCOLOR, bcolor);
               ObjectSetInteger(0, but_name,OBJPROP_COLOR, fcolor);
               ObjectSetInteger(0, but_name,OBJPROP_FONTSIZE, 9);
               ObjectSetInteger(0, but_name,OBJPROP_HIDDEN, true);
               ObjectSetInteger(0, but_name,OBJPROP_BORDER_COLOR, ChartGetInteger(0,CHART_COLOR_FOREGROUND));
               ObjectSetInteger(0, but_name,OBJPROP_BORDER_TYPE, BORDER_RAISED);
               
               
               
               ChartRedraw();
               
              }

}
